petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscLogStageGetActive

Returns stage activity for PetscLogEventBegin() and PetscLogEventEnd().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogStageGetActive(PetscLogStage stage, PetscBool  *isActive)

Not Collective

### Input Parameter

stage -The stage

### Output Parameter

isActive -The activity flag, PETSC_TRUE for logging, else PETSC_FALSE (defaults to PETSC_TRUE)

### See Also

PetscLogStagePush(), PetscLogStagePop(), PetscLogEventBegin(), PetscLogEventEnd(), PetscPreLoadBegin(), PetscPreLoadEnd(), PetscPreLoadStage()

Level:intermediate
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages